package com.emr.dao.tScanAssort;

import com.emr.entity.tScanAssort.T_Scan_Assort;
import com.emr.vo.FontVo.FontCommom;
import com.emr.vo.FontVo.ScanAssortVo;
import com.emr.vo.ZhFyImageVo;
import com.emr.vo.commomSearch.CommomVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface T_Scan_AssortMapper {
    int insert(T_Scan_Assort record);

    int insertSelective(T_Scan_Assort record);

    void updateByPrimaryKeySelective(@Param("newAssort")T_Scan_Assort newAssort,@Param("oldAssort")T_Scan_Assort oldAssort);

    List<ScanAssortVo> seleteScanAssortPath(FontCommom record);

    int SimpleUpdate(@Param("patientId")String patientId,@Param("assortId")String assortId,@Param("list") List<String> list);

    int SimpleUpdateByPatientIdAndScanPages(@Param("patientId")String patientId,
                                            @Param("newAssortId")String newAssortId,
                                            @Param("scanPages")String scanPages);

    int SimpleDelByPatientIdAndScanPages(@Param("patientId")String patientId,
                                            @Param("scanPages")String scanPages);

    int SimpleInsert(@Param("list")List<T_Scan_Assort> list);

    /**
     * 查询图片路径集合
     */
    List<ScanAssortVo> selectPicPaths(@Param("patientId")String patientId,@Param("scanPages")String scanPages,@Param("flag")String flag);
    /**
     * 查询已删除图片集合
     */
    List<ScanAssortVo> selectDeledPicList(@Param("patientId")String patientId,@Param("flag")String flag);

    void selectPicPaths(CommomVo commomVo, String scanPages);

    void recoverPic(@Param("patientId") String patientId, @Param("scanPages") String scanPages);

    List<ZhFyImageVo> getPathListByInpatientNo(@Param("inpatientNo") String inpatientNo, @Param("admissTimes") String admissTimes);


    List<ZhFyImageVo> getPathListByDisDate(@Param("startTime")String startTime,@Param("endTime")String endTime);
}